Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

I think I've figured it out - I think it is because 32 bit applications are not supported by default in Elementary. It's probably the same in Ubuntu but I think I added all the 32-bit libraries because I needed them for something, so that is why it is working for me.

I will try to do a 64-bit build for you and hopefully that will work!

(1 edit)

Yes, i am using 64 bits. :D

I've uploaded a 64-bit build now if you want to try that, I think it will work for you. Sorry about the inconvenience - I hope the game is worth the wait!